[totem/wip/hadess/remove-flatpak-dist: 3/3] build: Remove flatpak dir from the dist'ed tarball
- From: Bastien Nocera <hadess src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [totem/wip/hadess/remove-flatpak-dist: 3/3] build: Remove flatpak dir from the dist'ed tarball
- Date: Mon, 14 Jun 2021 14:49:50 +0000 (UTC)
commit 15842bf9932d449eec6a77265eb6172bdb0a3517
Author: Bastien Nocera <hadess hadess net>
Date: Mon Jun 14 15:28:19 2021 +0200
build: Remove flatpak dir from the dist'ed tarball
We don't need to the flatpak devel bits in the tarball, and neither
do we need the flathub shared-modules, including some Qt patches
with complicated licenses.
meson.build | 4 ++++
remove-flatpak-dist.sh | 9 +++++++++
2 files changed, 13 insertions(+)
---
diff --git a/meson.build b/meson.build
index 29aef7465..a77fe5077 100644
--- a/meson.build
+++ b/meson.build
@@ -243,6 +243,10 @@ else
)
endif
+meson.add_dist_script(
+ find_program('remove-flatpak-dist.sh').path()
+)
+
message('Totem was configured with the following options:')
message('** Using the GStreamer-1.0 backend')
diff --git a/remove-flatpak-dist.sh b/remove-flatpak-dist.sh
new file mode 100755
index 000000000..9841b90c2
--- /dev/null
+++ b/remove-flatpak-dist.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+if test x"$MESON_DIST_ROOT" != "x" && test -d $MESON_DIST_ROOT; then
+ rm -rf $MESON_DIST_ROOT/flatpak
+ exit $?
+fi
+
+echo MESON_DIST_ROOT must be set
+exit 1
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]